Bug 573459 - Yelp does not display man references in some cases
Yelp does not display man references in some cases
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-14 18:28 EDT by Massimiliano
Modified: 2012-08-16 15:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimiliano 2010-03-14 18:28:30 EDT
Description of problem:
When displays some man pages, Yelp doesn't show the references to other pages.

Version-Release number of selected component (if applicable):
yelp-2.28.1-1.fc12.i686

Steps to Reproduce:
1.Open yelp
2.Type "man:Xorg" in the search input
  
Actual results (what yelp shows):
...
SEE ALSO

(7),(1),(1),(1),(5),(1),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),openchrome (4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),(4),
Web site<http://www.x.org>.
...

Expected results (what the man command shows):
...
SEE ALSO
       X(7), Xserver(1), xdm(1), xinit(1), xorg.conf(5), xvidtune(1),  apm(4),
       ati(4),  chips(4),  cirrus(4),  cyrix(4), fbdev(4), glide(4), glint(4),
       i128(4), i740(4),  imstt(4),  intel(4),  mga(4),  neomagic(4),  nsc(4),
       nv(4),  openchrome  (4),  r128(4), rendition(4), s3virge(4), siliconmo-
       tion(4),   sis(4),   sunbw2(4),   suncg14(4),   suncg3(4),   suncg6(4),
       sunffb(4), sunleo(4), suntcx(4), tdfx(4), tga(4), trident(4), tseng(4),
       v4l(4), vesa(4), vmware(4),
       Web site <http://www.x.org>.
...
Comment 1 Bug Zapper 2010-11-03 15:44:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Massimiliano 2010-12-30 11:49:06 EST
This bug is still present in F14. But in F14 it is possible obtain a well formatted HTML page:

$ man -Thtml Xorg > Xorg.html && yelp Xorg.html

The result is much better than the one possible in F13 with:

$ man Xorg | groff -T html -mandoc > Xorg.html && yelp Xorg.html

and is better than the Yelp result.
Probably this is due to the adoption of the new man-db package.
In F14 also special characters are correctly displayed:

$ LANG=it_IT man -Thtml man > man.html && yelp man.html

but Yelp still doesn't do it. A similar bug is reported for Ubuntu:

https://launchpad.net/ubuntu/+source/yelp/+bug/50318

See also:

https://bugzilla.gnome.org/show_bug.cgi?id=477788
https://bugs.launchpad.net/ubuntu/+source/yelp/+bug/154829
Comment 3 Bug Zapper 2011-06-02 12:10:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 15:06:24 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.